package cn.skcks.docking.wx.services.mp.service;

import cn.skcks.docking.wx.common.page.PageWrapper;
import cn.skcks.docking.wx.orm.entity.MpApp;
import cn.skcks.docking.wx.orm.mapper.MpAppMapper;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.List;

@Slf4j
@Service
@RequiredArgsConstructor
public class MpAppService {
    private final MpAppMapper mpAppMapper;


    /**
     * 获取所有公众号列表
     *
     * @author shikong
     * @since 2024-12-07
     */
    public List<MpApp> getMpAppList(){
        return mpAppMapper.selectList(null);
    }


    /**
     * 分页查询公众号列表
     *
     * @author shikong
     * @since 2024-12-07
     */
    public PageWrapper<MpApp> getMpAppPageList(Integer pageNum, Integer pageSize){
        // try(Page<Object> ignored = PageHelper.startPage(pageNum, pageSize)){
        //     return new PageInfo<>(mpAppMapper.selectList(null));
        // }

        Page<MpApp> mpAppPage = mpAppMapper.selectPage(new Page<>(pageNum, pageSize), null);
        return PageWrapper.of(mpAppPage);
    }
}
